Bug 124761 - Courier New and others render badly under plain X
Courier New and others render badly under plain X
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: freetype (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-29 11:53 EDT by Frank Schmitt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 18:47:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot showing the problem (13.53 KB, image/png)
2004-05-29 17:28 EDT, Frank Schmitt
no flags Details

  None (edit)
Description Frank Schmitt 2004-05-29 11:53:14 EDT
From Bugzilla Helper:
User-Agent: Opera/7.50 (X11; Linux i686; U)  [en]

Description of problem:
Some truetype fonts which looked great under Core 1 are rendered 
extremly ugly under Core 2. The best example is Courier New which 
turned absolutely unusable. (e.g. the # doesn't look like a # any 
more). Applications using the new XFT fontconfig system aren't 
affected, only those using plain X font system. Bypassing XFS by 
specifying the font directories in X configuration doesn't change 
anything. The X.org logs don't show any errors. The problem appeared 
emidiently after upgrade from Core 1 to Core 2, I did not change 
anything in my configuration.

Version-Release number of selected component (if applicable):
freetype-2.1.7-4

How reproducible:
Always

Steps to Reproduce:
1. Get msttcorefonst from corefonts.sourceforge.net, build and 
install the rpm as described on the site
2. cd to /usr/share/fonts/msttcorefonts
3. run ttmkfdir
4. run mkfontsdir
5. run /usr/sbin/chkfontpath --add /usr/share/fonts/msttcorefonts
6. start Emacs like this: emacs -fn "-monotype-courier 
new-medium-r-normal--12-120-75-75-m-0-iso8859-15"
7. Enter some #, some 2, some w 
(any other app that uses the old core X font system will do, too)

Actual Results:  The characters, ecspecially #, 2 and w are rendered 
very stranga and almost unreadable. It worked well under Core 1. 
Other truetype fonts don't look as goods as under Core 1, too. E.g 
Bitstream Vera Sans Mono.

Expected Results:  The fonts should look at least as good as under 
Fedora Core 1.

Additional info:

I tested the above steps on two PCs I upgraded from Core 1 to Core 2 
and the results are the same. Bypassing xfs doesn't change anything.
Comment 1 Owen Taylor 2004-05-29 15:30:27 EDT
My guess is that you had a custom freetype package installed
with the patented truetype hinting enabled. Monochrome rendering
of TrueType fonts isn't expected to look good without that.
Comment 2 Frank Schmitt 2004-05-29 17:09:31 EDT
No I didn't. It was a plain Fedora Core 1 install. And it isn't that 
the fonts only look worse, some characters are unreadable.
Comment 3 Frank Schmitt 2004-05-29 17:23:06 EDT
I just build and installed freetype with hinting enabled and the 
problem is still there.
Comment 4 Frank Schmitt 2004-05-29 17:28:33 EDT
Created attachment 100698 [details]
A screenshot showing the problem
Comment 5 Frank Schmitt 2004-05-30 16:20:48 EDT
Two reports from users seeing the same problem:
http://thread.gmane.org/gmane.linux.redhat.fedora.general/45791
http://thread.gmane.org/gmane.linux.redhat.fedora.general/32591
Comment 6 Frank Schmitt 2004-06-03 09:05:13 EDT
I must correct myself: The rendering is indeed better with patented truetype 
hinting enabled, however there is definitely a bug as the fonts looked much 
better in releases before Core 2 test 2.

The freetype ftoption-h states:

  /*************************************************************************/
  /*                                                                       */
  /* Define TT_CONFIG_OPTION_UNPATENTED_HINTING (in addition to   
         */
  /* TT_CONFIG_OPTION_BYTECODE_INTERPRETER) to compile the 
unpatented      */
  /* work-around hinting system.  Note that for the moment, the algorithm  */
  /* is only used when selected at runtime through the parameter tag       */
  /* FT_PARAM_TAG_UNPATENTED_HINTING; or when the debug hook    
           */
  /* FT_DEBUG_HOOK_UNPATENTED_HINTING is globally actived           
       */
  /*                                                                       */
#define TT_CONFIG_OPTION_UNPATENTED_HINTING

could it be possible that xorg fails to set those parameter tags?
Comment 7 Owen Taylor 2004-08-03 18:47:44 EDT
It was pointed out to me that FC1 accidentally shipped using
an internal version of FreeType with the truetype interpreter on.

Note You need to log in before you can comment on or make changes to this bug.